/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ({

/***/ "./resources/js/components/accordion.riot":
/*!************************************************!*\
  !*** ./resources/js/components/accordion.riot ***!
  \************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ({
  'css': null,

  'exports': {
    state: {
        items: [],
        index: 0
    },

    /**
     *  getting innerHTML and remove it
     *
     */
    onBeforeMount()
    {
        this.content = this.root.innerHTML
        this.root.innerHTML = ''
    },

    /**
     *  create wrapper for
     *
     *  @param  {object} props
     *  @param  {object} state
     *
     */
    onMounted(props, state) {
        const header = this.$('.tabs')

        state.wrapper = document.createElement('div')

        state.wrapper.innerHTML = this.content
        header.after(state.wrapper)

        // run through all items and add a css-class and current class to first element
        for (let i = 0; i < state.wrapper.children.length; i++) {
            state.items.push(state.wrapper.children[i].title)
            state.wrapper.children[i].classList.add('accordion__item')

            if (i === 0) {
                state.wrapper.children[i].classList.add('accordion__item--active')
            }
        }

        this.update()
    },

    /**
     *  remove all active classes and add active-classes to clicked
     *
     *  @param  {object} event
     *  @param  {object} index
     *
     */
    handleClick(event, index) {
        for (let i = 0; i < this.state.wrapper.children.length; i++) {
            this.state.wrapper.children[i].classList.remove('accordion__item--active')

            if (i === index) {
                this.state.wrapper.children[i].classList.add('accordion__item--active')
                this.state.index = i
            }
        }

        this.update()
    },

    /**
     *  getting class for active accordion in header
     *
     */
    getCurrentClass(index)
    {
        let classes = []

        if (index === this.state.index) {
            classes.push('is-active')
        }

        return classes.join(' ')
    }
  },

  'template': function(
    template,
    expressionTypes,
    bindingTypes,
    getComponent
  ) {
    return template(
      '<div class="accordion"><div class="tabs mb-3"><ul><li expr6="expr6"></li></ul></div></div>',
      [
        {
          'type': bindingTypes.EACH,
          'getKey': null,
          'condition': null,

          'template': template(
            '<a expr7="expr7"> </a>',
            [
              {
                'expressions': [
                  {
                    'type': expressionTypes.ATTRIBUTE,
                    'name': 'class',

                    'evaluate': function(
                      scope
                    ) {
                      return scope.getCurrentClass(scope.index);
                    }
                  },
                  {
                    'type': expressionTypes.EVENT,
                    'name': 'onclick',

                    'evaluate': function(
                      scope
                    ) {
                      return () => scope.handleClick(scope.event, scope.index);
                    }
                  }
                ]
              },
              {
                'redundantAttribute': 'expr7',
                'selector': '[expr7]',

                'expressions': [
                  {
                    'type': expressionTypes.TEXT,
                    'childNodeIndex': 0,

                    'evaluate': function(
                      scope
                    ) {
                      return scope.item;
                    }
                  }
                ]
              }
            ]
          ),

          'redundantAttribute': 'expr6',
          'selector': '[expr6]',
          'itemName': 'item',
          'indexName': 'index',

          'evaluate': function(
            scope
          ) {
            return scope.state.items;
          }
        }
      ]
    );
  },

  'name': 'urban-accordion'
});

/***/ }),

/***/ "./resources/js/components/buckets.riot":
/*!**********************************************!*\
  !*** ./resources/js/components/buckets.riot ***!
  \**********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ({
  'css': null,

  'exports': {
    handleClick() {

    }
  },

  'template': function(
    template,
    expressionTypes,
    bindingTypes,
    getComponent
  ) {
    return template(
      '<div class="buckets"><div class="tile is-ancestor"><div expr0="expr0" class="tile is-3 is-parent"></div></div><div class="buckets__more"><button expr5="expr5" type="button" class="button">\n                More\n                <span class="icon is-small is-left"><svg aria-hidden="true"><use xlink:href="/symbol-defs.svg#icon-add-circle"/></svg></span></button></div></div>',
      [
        {
          'type': bindingTypes.EACH,
          'getKey': null,
          'condition': null,

          'template': template(
            '<div class="tile is-child"><a expr1="expr1" class="buckets__item"><div class="content"><p expr2="expr2" class="title is-4"> </p><div expr3="expr3" class="tags are-medium"></div></div></a></div>',
            [
              {
                'redundantAttribute': 'expr1',
                'selector': '[expr1]',

                'expressions': [
                  {
                    'type': expressionTypes.ATTRIBUTE,
                    'name': 'href',

                    'evaluate': function(
                      scope
                    ) {
                      return [
                        '/bucket/',
                        scope.bucket.id
                      ].join(
                        ''
                      );
                    }
                  }
                ]
              },
              {
                'redundantAttribute': 'expr2',
                'selector': '[expr2]',

                'expressions': [
                  {
                    'type': expressionTypes.TEXT,
                    'childNodeIndex': 0,

                    'evaluate': function(
                      scope
                    ) {
                      return [
                        scope.bucket.name
                      ].join(
                        ''
                      );
                    }
                  }
                ]
              },
              {
                'type': bindingTypes.IF,

                'evaluate': function(
                  scope
                ) {
                  return scope.bucket.tags && scope.bucket.tags.length > 0;
                },

                'redundantAttribute': 'expr3',
                'selector': '[expr3]',

                'template': template(
                  '<span expr4="expr4" class="tag is-white"></span>',
                  [
                    {
                      'type': bindingTypes.EACH,
                      'getKey': null,
                      'condition': null,

                      'template': template(
                        ' ',
                        [
                          {
                            'expressions': [
                              {
                                'type': expressionTypes.TEXT,
                                'childNodeIndex': 0,

                                'evaluate': function(
                                  scope
                                ) {
                                  return scope.tag;
                                }
                              }
                            ]
                          }
                        ]
                      ),

                      'redundantAttribute': 'expr4',
                      'selector': '[expr4]',
                      'itemName': 'tag',
                      'indexName': null,

                      'evaluate': function(
                        scope
                      ) {
                        return scope.bucket.tags;
                      }
                    }
                  ]
                )
              }
            ]
          ),

          'redundantAttribute': 'expr0',
          'selector': '[expr0]',
          'itemName': 'bucket',
          'indexName': null,

          'evaluate': function(
            scope
          ) {
            return scope.props.buckets;
          }
        },
        {
          'redundantAttribute': 'expr5',
          'selector': '[expr5]',

          'expressions': [
            {
              'type': expressionTypes.EVENT,
              'name': 'onclick',

              'evaluate': function(
                scope
              ) {
                return scope.handleClick;
              }
            }
          ]
        }
      ]
    );
  },

  'name': 'buckets'
});

/***/ }),

/***/ "./resources/js/components/login-email.riot":
/*!**************************************************!*\
  !*** ./resources/js/components/login-email.riot ***!
  \**************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ({
  'css': null,
  'exports': {},

  'template': function(
    template,
    expressionTypes,
    bindingTypes,
    getComponent
  ) {
    return template(
      '<div class="login"><form><div class="field is-horizontal"><div class="field-body"><div class="field"><div class="control has-icons-left"><input class="input" type="text" placeholder="E-Mail"/><span class="icon is-small is-left"><svg aria-hidden="true"><use xlink:href="/symbol-defs.svg#icon-email"/></svg></span></div></div><div class="field"><div class="control"><button class="button is-primary" type="submit">\n                                Send me a Link\n                            </button></div></div></div></div></form></div>',
      []
    );
  },

  'name': 'urban-login-email'
});

/***/ }),

/***/ "./resources/js/components/login-password.riot":
/*!*****************************************************!*\
  !*** ./resources/js/components/login-password.riot ***!
  \*****************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ({
  'css': null,
  'exports': {},

  'template': function(
    template,
    expressionTypes,
    bindingTypes,
    getComponent
  ) {
    return template(
      '<div class="login"><form><div class="field is-horizontal"><div class="field-body"><div class="field"><div class="control has-icons-left"><input class="input" type="text" placeholder="E-Mail"/><span class="icon is-small is-left"><svg aria-hidden="true"><use xlink:href="symbol-defs.svg#icon-email"/></svg></span></div></div><div class="field"><div class="control has-icons-left"><input class="input" type="text" placeholder="Password"/><span class="icon is-small is-left"><svg aria-hidden="true"><use xlink:href="symbol-defs.svg#icon-secret"/></svg></span></div></div><div class="field"><div class="control"><button class="button is-primary" type="submit">\n                                Login\n                            </button></div></div></div></div></form></div>',
      []
    );
  },

  'name': 'urban-login-password'
});

/***/ }),

/***/ "./resources/js/views/home.js":
/*!************************************!*\
  !*** ./resources/js/views/home.js ***!
  \************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _components_buckets_riot__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./../components/buckets.riot */ "./resources/js/components/buckets.riot");
/* harmony import */ var _components_login_email_riot__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./../components/login-email.riot */ "./resources/js/components/login-email.riot");
/* harmony import */ var _components_login_password_riot__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../components/login-password.riot */ "./resources/js/components/login-password.riot");
/* harmony import */ var _components_accordion_riot__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../components/accordion.riot */ "./resources/js/components/accordion.riot");




/**
 *  Home
 *
 *
 */
// register components

riot.register('buckets', _components_buckets_riot__WEBPACK_IMPORTED_MODULE_0__["default"]);
riot.register('urban-login-email', _components_login_email_riot__WEBPACK_IMPORTED_MODULE_1__["default"]);
riot.register('urban-login-password', _components_login_password_riot__WEBPACK_IMPORTED_MODULE_2__["default"]);
riot.register('urban-accordion', _components_accordion_riot__WEBPACK_IMPORTED_MODULE_3__["default"]); // mount

riot.mount('urban-accordion');
riot.mount('urban-login-email');
riot.mount('urban-login-password');
riot.mount('urban-form-validator');

/***/ }),

/***/ 1:
/*!******************************************!*\
  !*** multi ./resources/js/views/home.js ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(/*! /home/herrhase/Workspace/herrhase/urban-filehub/resources/js/views/home.js */"./resources/js/views/home.js");


/***/ })

/******/ });